package com.lightinit.hsdatashow.service.ms;

import com.lightinit.hsdatashow.entity.AverageExpectedRate;
import com.lightinit.hsdatashow.entity.BaseExample;
import com.lightinit.hsdatashow.entity.PopulationSummary;
import com.lightinit.hsdatashow.model.ResultState;

import java.util.List;

public interface IMSAverageExpectedRateService {
    List<AverageExpectedRate> queryList(BaseExample.Page pager);

    long queryCount(BaseExample.Page pager);

    ResultState<Long> delete(long id);

    ResultState add(AverageExpectedRate inputModel);

    AverageExpectedRate edit(long id);

    ResultState doEdit(AverageExpectedRate inputModel);
}
